curl "https://api.scanova.io/multi-users/access-levels/3/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 3,
"name": "Viewer",
"slug": "viewer",
"permissions": [
{ "id": 23, "code": "QR_CODE_CAN_VIEW", "name": "Can view QR Code", "description": "Allows viewing QR code details.", "is_boolean": true }
],
"is_custom": false
}
المستخدمون المشتركون والأدوار
الحصول على دور
GET /multi-users/access-levels//
GET
/
multi-users
/
access-levels
/
{pk}
/
curl "https://api.scanova.io/multi-users/access-levels/3/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 3,
"name": "Viewer",
"slug": "viewer",
"permissions": [
{ "id": 23, "code": "QR_CODE_CAN_VIEW", "name": "Can view QR Code", "description": "Allows viewing QR code details.", "is_boolean": true }
],
"is_custom": false
}
يحصل على دور واحد (مستوى وصول) على مضيف Management API (
نطاق الرؤية: أدوار الحساب المخصصة الخاصة به، بالإضافة إلى جميع الأدوار النظامية (
api.scanova.io)، مع المصادقة باستخدام مفتاح Management API الخام الخاص بك.
GET https://api.scanova.io/multi-users/access-levels/{pk}/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
integer
مطلوب
معرّف
id الخاص بالدور، من سرد الأدوار.curl "https://api.scanova.io/multi-users/access-levels/3/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 3,
"name": "Viewer",
"slug": "viewer",
"permissions": [
{ "id": 23, "code": "QR_CODE_CAN_VIEW", "name": "Can view QR Code", "description": "Allows viewing QR code details.", "is_boolean": true }
],
"is_custom": false
}
is_custom: false) — الأدوار النظامية مشتركة بين جميع الحسابات، وليست مقصورة على هذا الحساب فقط.
ذات صلة
- سرد الأدوار — العثور على معرّف الدور.
- تحديث دور مخصص — تعديل هذا الدور إذا كان مملوكًا لهذا الحساب.
- حذف دور مخصص — حذف هذا الدور إذا كان مملوكًا لهذا الحساب.
- نظرة عامة على Management API — مخطط المصادقة وقواعد الحصة المطبّقة على نقطة النهاية هذه.
التفويضات
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
معلمات المسار
الاستجابة
One role, with its permission set. Visible: the account's own custom roles, plus every system role.
هل كانت هذه الصفحة مفيدة؟